Skip to content

Returns authorized revision content data.

GET
/api/workspace/workflow/configuration/workflow-definitions/{definitionId}/revisions/{revisionId}/content
curl --request GET \
--url https://example.com/api/workspace/workflow/configuration/workflow-definitions/example/revisions/example/content \
--header 'Authorization: Bearer <token>'
definitionId
required
string
revisionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
WorkflowRevisionId
string
nullable
DefinitionYaml
string
nullable
ContentHash
string
nullable
RowVersion
string format: uuid
CanEditContent
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}